Delete discovered Host ends in error: undefined method `progress_report_id'
Status: Closed   
Assignee: Lukas Zapletal   

Category: Orchestration   

Target version: 1.14.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3672

  

Description

When i try to delete a discovered host and get the following error message:

"Oops, we're sorry but something went wrong undefined method `progress_report_id' for #<Host::Discovered:0x00000004333c78>"

NoMethodError

undefined method `progress_report_id' for #<Host::Discovered:0x007fc192b32bc0>

/opt/rh/rh-ror41/root/usr/share/gems/gems/activemodel-4.1.5/lib/active_model/attribute_methods.rb:435:in `method_missing'

/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/attribute_methods.rb:208:in `method_missing'

/usr/share/foreman/app/models/nic/managed.rb:16:in `progress_report_id'

/usr/share/foreman/app/models/concerns/orchestration.rb:190:in `update_cache'

/usr/share/foreman/app/models/concerns/orchestration.rb:105:in `block in process'

/usr/share/foreman/app/models/concerns/orchestration.rb:99:in `each'

...

When I rovision the host I only get one Interface from two and the ipmi Interface also vanished, after adding them manually I can

deploy.

But more confusing is that the host is still in the list of discovered host and I'm not able to delete it.

Installed Plugins:

foreman_plugin_default_hostgroup

foreman_plugin_dhcp_browser

foreman_plugin_discovery

foreman_plugin_hooks

foreman_plugin_setup

foreman_plugin_templates

(no puppet, only as SmartProxy)

Related issues:

Related to Foreman - Bug #19151: undefined method `progress_report_id' when u... Closed 04/04/2017

Associated revisions

Revision fd8bf7f1 - 03/28/2017 04:49 AM - Lukas Zapletal

Fixes #15374 - move progress_report_id to Host::Base

Revision 88177eb0 - 03/29/2017 11:43 AM - Lukas Zapletal

Fixes #15374 - move progress_report_id to Host::Base

(cherry picked from commit fd8bf7f1d0a8ffafc26783cbffe71aacc4b90cc6)

History

#1 - 06/10/2016 10:31 AM - Dominic Cleal

- Project changed from Foreman to Discovery

- Category set to Discovery plugin
#2 - 07/21/2016 04:53 AM - Susanne Bachmann

FYI:

After Update to 1.12. Problem is still the same

New Versions:

foreman_bootdisk     8.0.1

foreman_dhcp_browser     0.0.7

foreman_discovery     5.0.2

foreman_hooks           0.3.11

foreman_setup          4.0.0

foreman_templates     2.1.0

Older Versions  we run (1.11.0):

foreman_bootdisk     6.1.0

foreman_default_hostgroup 3.0.0

foreman_dhcp_browser     0.0.7

foreman_discovery       5.0.2

foreman_setup        3.1.0

foreman_templates       2.0.3

#3 - 07/22/2016 07:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3672 added

#4 - 07/22/2016 07:57 AM - Lukas Zapletal

- Project changed from Discovery to Foreman

- Category changed from Discovery plugin to Orchestration

#5 - 07/27/2016 10:07 AM - Susanne Bachmann

Hi,

tested the changes from Pull request https://github.com/theforeman/foreman/pull/3672 . It's now working for me i can delete the discovered hosts. I

tested it on both versions i wrote on the previous post.

Big thanks to all...

#6 - 08/08/2016 10:44 AM - Daniel Lobato Garcia

- Target version set to 1.7.1

#7 - 08/10/2016 07:49 AM - Daniel Lobato Garcia

- Target version changed from 1.7.1 to 1.6.2

#8 - 09/14/2016 07:12 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.5.2

#9 - 03/23/2017 04:17 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Lukas Zapletal)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3672)

Appears valid still, no response to PR review.

#10 - 03/23/2017 07:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3672 added

#11 - 03/28/2017 05:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/3672


Applied in changeset fd8bf7f1d0a8ffafc26783cbffe71aacc4b90cc6.

#12 - 03/28/2017 08:57 AM - Dominic Cleal

- translation missing: en.field_release set to 227

#13 - 04/04/2017 04:41 AM - Dominic Cleal

- Related to Bug #19151: undefined method `progress_report_id' when unattended mode is disabled added
